<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:c="http://java.sun.com/jstl/core">
    <dl class="dl-horizontal">
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.Patient']}</ui:define>
            <h:outputLink
                    value="#{applicationConfiguration.getValueOfVariable('application_url')}/patient.seam?id=#{patient.id}"
                    target="_blank">
                <h:outputText value="#{patient.firstName} #{patient.lastName}"/>
            </h:outputLink>
        </ui:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
            <h:outputLink value="#{encounter.getPermanentLink()}"
                          target="_blank">
                <h:outputText value="#{encounter.visitNumber}"/>
            </h:outputLink>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.MovementID']}</ui:define>
            <h:outputText value="#{movement.movementUniqueId} "/>
            <h:outputText value="#{movement.actionType.label}"
                          styleClass="gzl-label #{movement.actionType.styleClass}"/>
        </s:decorate>
    </dl>
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#minfo" aria-controls="minfo" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.GeneralInformations']}</a>
        </li>
        <li role="presentation">
            <a href="#mloc" aria-controls="mloc" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.AssignedPatientLocation']}</a>
        </li>
        <li role="presentation">
            <a href="#mdoc" aria-controls="mdoc" role="tab"
               data-toggle="tab">#{messages['gazelle.simulator.pam.Doctors']}</a>
        </li>
        <c:if test="${historic}">
            <li role="presentation">
                <a href="#mward" aria-controls="mward" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.Wards']}</a>
            </li>
        </c:if>
        <c:if test="${pesManager.isBP6Mode()}">
            <li role="presentation">
                <a href="#mdrg" aria-controls="mdrg" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.DRGMovement_2']}</a>
            </li>
            <li role="presentation">
                <a href="#madd" aria-controls="madd" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.AdditionalInformation']}</a>
            </li>
            <li role="presentation">
                <a href="#mdmp" aria-controls="mdmp" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.PatientsPHR']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="minfo">
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A01') or movement.triggerEvent.equals('A05')
                            or movement.triggerEvent.equals('A04') or movement.triggerEvent.equals('A06')
                            or movement.triggerEvent.equals('A07')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass']}</ui:define>
                    <ui:param name="id" value="inputClass"/>
                    <h:selectOneMenu value="#{encounter.patientClassCode}" id="inputClass" styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HL70004')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A01') or movement.triggerEvent.equals('A05')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AdmissionDatetime']}</ui:define>
                    <ui:param name="id" value="admissionDate"/>
                    <a4j:outputPanel id="admissionDate" layout="block">
                        <rich:calendar value="#{encounter.admitDate}" locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- Planned date for pending transfer -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A15')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PlannedDatetime']}</ui:define>
                    <ui:param name="id" value="plannedDate"/>
                    <a4j:outputPanel id="plannedDate" layout="block">
                        <rich:calendar value="#{encounter.transferPlannedDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- Discharge date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A03')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.DischargeDatetime']}</ui:define>
                    <ui:param name="id" value="dischargeDate"/>
                    <a4j:outputPanel id="dischargeDate" layout="block">
                        <rich:calendar value="#{encounter.dischargeDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- expected discharge date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A16')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedDischargeDatetime']}</ui:define>
                    <ui:param name="id" value="expectedDischargeDate"/>
                    <a4j:outputPanel id="expectedDischargeDate" layout="block">
                        <rich:calendar value="#{encounter.expectedDischargeDate}"
                                       locale="#{localeSelector.localeString}" datePattern="dd/MM/yyyy HH:mm"
                                       showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A21')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LeaveOfAbsenceDatetime']}</ui:define>
                    <ui:param name="id" value="loaDate"/>
                    <a4j:outputPanel id="loaDate" layout="block">
                        <rich:calendar value="#{encounter.leaveOfAbsenceDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA expected return date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A21')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedReturnDatetime']}</ui:define>
                    <ui:param name="id" value="expectedReturnDate"/>
                    <a4j:outputPanel id="expectedReturnDate" layout="block">
                        <rich:calendar value="#{encounter.expectedLOAReturn}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
                <!-- LOA return date -->
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                            rendered="#{movement.triggerEvent.equals('A22')}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LoaReturnDatetime']}</ui:define>
                    <ui:param name="id" value="loaReturnDate"/>
                    <a4j:outputPanel id="loaReturnDate" layout="block">
                        <rich:calendar value="#{encounter.loaReturnDate}"
                                       locale="#{localeSelector.localeString}"
                                       datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" style="width:200px">
                        </rich:calendar>
                    </a4j:outputPanel>
                </s:decorate>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="mloc">
            <ui:include src="/pes/_editPatientLocation.xhtml">
                <ui:param name="aMovement" value="#{movement}"/>
            </ui:include>
        </div>
        <div role="tabpanel" class="tab-pane" id="mdoc">
            <s:decorate id="changeDoctor" template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{movement.triggerEvent.equals('A54')}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.NewAttendingDoctor']}</ui:define>
                <ui:param name="id" value="newAttendingDocInput"/>
                <h:selectOneMenu value="#{encounter.attendingDoctorCode}" id="newAttendingDocInput"
                                 styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('DOCTOR')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div role="tabpanel" class="tab-pane" id="mward">
            <s:div styleClass="form-horizontal"
                   rendered="#{pesManager.historicMovementOption}">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.MedicalResponsabilityWard']}</ui:define>
                    <ui:param name="id" value="medward"/>
                    <h:selectOneMenu id="medward" value="#{movement.wardCode}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('MEDICAL_WARD')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.NursingResponsabilityWard']}</ui:define>
                    <ui:param name="id" value="nurseward"/>
                    <h:selectOneMenu id="nurseward" value="#{movement.nursingCareWard}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('NURSING_WARD')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">
                        <h:outputText value="#{messages['gazelle.pam.NatureOfMovement']}" rendered="#{pesManager.isBP6Mode()}"/>
                        <h:outputText value="#{messages['gazelle.PAMSimulator.ScopeOfMovement']}" rendered="#{not pesManager.isBP6Mode()}"/>
                    </ui:define>
                    <ui:param name="id" value="nature"/>
                    <h:selectOneMenu id="nature" value="#{movement.natureOfMovement}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HL79106')}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </s:div>
        </div>
        <c:if test="${pesManager.isBP6Mode()}">
            <div role="tabpanel" class="tab-pane" id="mdrg">
                <ui:include src="/fr/_editDRGMovement.xhtml">
                    <ui:param name="drg" value="#{encounter.drgMovement}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="madd">
                <ui:include src="/fr/_editAdditionalEncounterInfo.xhtml">
                    <ui:param name="zfv" value="#{encounter.encounterAdditionalInfo}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="mdmp">
                <ui:include src="/fr/_editPatientsPHR.xhtml">
                    <ui:param name="phr" value="#{encounter.patientsPHRInfo}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>